aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2007-02-27 23:34:14 +0000
committerFelix Fietkau <nbd@openwrt.org>2007-02-27 23:34:14 +0000
commitc1ab24d04a54c24677b21138e57f8bb16c588b0b (patch)
tree24b202a1e0cc8c8d133b0ce97ac8a779b5a341ed /package/base-files
parent90a57bbefb0d26a8d23fddbe8ec04edac0b8bbd6 (diff)
downloadupstream-c1ab24d04a54c24677b21138e57f8bb16c588b0b.tar.gz
upstream-c1ab24d04a54c24677b21138e57f8bb16c588b0b.tar.bz2
upstream-c1ab24d04a54c24677b21138e57f8bb16c588b0b.zip
add a check for brctl in the unbridge() function (fixes #1417)
SVN-Revision: 6410
Diffstat (limited to 'package/base-files')
-rwxr-xr-xpackage/base-files/files/lib/network/config.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/package/base-files/files/lib/network/config.sh b/package/base-files/files/lib/network/config.sh
index 2b1574937b..95954bf15a 100755
--- a/package/base-files/files/lib/network/config.sh
+++ b/package/base-files/files/lib/network/config.sh
@@ -195,7 +195,8 @@ setup_interface() {
unbridge() {
local dev="$1"
local brdev
-
+
+ [ -x /usr/sbin/brctl ] || return 0
brctl show | grep "$dev" >/dev/null && {
# interface is still part of a bridge, correct that